Subject: Re: [Xen-devel] [PATCHv1] xen-netfront: always keep the Rx ring full of requests

From: David Vrabel <[email-masked]>
Date: Thu, 2 Oct 2014 14:55:47 +0100

On 02/10/14 14:46, Jan Beulich wrote:
>>>> On 02.10.14 at 15:33, <[email-masked]> wrote:
>> A full Rx ring only requires 1 MiB of memory.  This is not enough
>> memory that it is useful to dynamically scale the number of Rx
>> requests in the ring based on traffic rates.
> 
> The performance benefits are nice, but does the above statement
> scale to hundreds of guests with perhaps multiple NICs and/or
> queues?

Yes, because:

a) Even the full 1 MiB is a tiny fraction of a typically modern Linux VM
(for example, the AWS micro instance still has 1 GiB of memory).

b) Netfront would have used up to 1 MiB already even with moderate data
rates (there was no adjustment of target based on memory pressure).

c) Small VMs are going to typically have one VCPU and hence only one queue.

David